Skip to main content
GET
Get prices history

Cost and request rules

Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.
  • Default request reference estimate (USD): 0.012
  • Cost contract: fixed_success
  • Settlement evidence source: request_snapshot

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

endTs
number<double>

Filter by items before this unix timestamp.

fidelity
integer

Accuracy of the data expressed in minutes. Default is 1 minute.

interval
enum<string>

Time interval for data aggregation.

Available options:
max,
all,
1m,
1w,
1d,
6h,
1h
market
string
required

The market (asset id) to query.

startTs
number<double>

Filter by items after this unix timestamp.

Response

Successful response with price history

history
object[]